/*
 *  Copyright (C) 2007 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
*/

/**
 * KibaTitle displays text above KibaObject's.
 **/

#ifndef __KIBA_DOCK_PRIVATE_H__
#define __KIBA_DOCK_PRIVATE_H__

#include <kiba-dock.h>


G_BEGIN_DECLS

void kiba_dock_set_shape (KibaDock      *dock,
			  KibaDockShape  shape);

void kiba_dock_set_max_size (KibaDock *dock,
			     gint      max_size);

void kiba_dock_set_layout (KibaDock       *dock,
			   KibaDockLayout  d);

void kiba_dock_set_style (KibaDock       *dock,
			  KibaDockStyle   style);

void kiba_dock_set_flag (KibaDock *dock,
			 gint      flag);

void kiba_dock_unset_flag (KibaDock *dock,
			   gint      flag);

void kiba_dock_set_alpha (KibaDock *dock,
			  float    alpha);

void kiba_dock_set_object_size (KibaDock *dock,
				gint      size);

void kiba_dock_set_group_list (KibaDock *dock,
			       GSList   *group_list);

GList* kiba_dock_get_group_list (KibaDock *dock);

cairo_pattern_t* kiba_dock_get_pattern (KibaDock *dock);

GtkWidget* kiba_dock_get_dragging_child(KibaDock *dock);

GtkWidget* kiba_dock_get_dragging_window(KibaDock *dock);

G_END_DECLS

#endif
